/*gms_gaswitch-v200.js
Benutzerdefinierter Opt-Out-Schalter f. Google Analytics
Version: 2.00.1
Datum: 02.01.2014
www.gandke.de
Infos siehe http://www.gandke.de/analytics-opt-out-download.html
*/

var gmsGAOptState = 'undefined';
var gmsGAOptExpdate = new Date();
gmsGAOptExpdate.setDate(gmsGAOptExpdate.getDate()+365);

function getCookie(value) {
    var dc = document.cookie;
    var prefix = value + "=";
    var begin = dc.indexOf("; " + prefix);
    if (begin == -1) {
    begin = dc.indexOf(prefix);
    if (begin != 0) return null;
    } else {
    begin += 2;
    }
    var end = document.cookie.indexOf(";", begin);
    if (end == -1) {
    end = dc.length;
    }
    return dc.substring(begin + prefix.length, end);
}

//Benutzerauswahl im Cookie f. 1 Jahr speichern:
function gmsSwitchGAActive(s, domain) {
  if (s == true)
    document.cookie = 'gmsGAOptOut=false;expires='+gmsGAOptExpdate.toGMTString()+';path=/'+( ( domain ) ? ";domain=" + domain : "" );
  else {  
    document.cookie = 'gmsGAOptOut=true;expires='+gmsGAOptExpdate.toGMTString()+';path=/'+( ( domain ) ? ";domain=" + domain : "" );
  } 
  return true;
}

//Abruf des akt. Zustands des Trackings aus Cookie oder als gespeichertes Ergebnis
function gmsGATrackingActive()
{
   if (gmsGAOptState == "undefined") {
     var gmsGAOptOut = getCookie("gmsGAOptOut");
     if ((gmsGAOptOut != null) && (gmsGAOptOut == 'true')) { 
       gmsGAOptState =  'disabled'
     } else {
       gmsGAOptState =  'active';
     } 
   }
   return (gmsGAOptState != 'disabled') ;  
}

//Zuweisung des Klickevents und Setzen der Checkbox je nach Benutzerauswahl
function gmsInitGASwitch(s, domain) {
   var cbox = null;
   if (s != "") cbox = document.getElementById(s);
   if (cbox != null) {
     cbox.checked = gmsGATrackingActive();
     cbox.onclick = function (){ gmsSwitchGAActive(this.checked, domain);};  
     return true;
   }
}     

function initGaDummy() {
  ga = new Function("p1", "p2", "p3", "p4", "p5", "p6", "p7", "p8", "return true;");
}

function doStdTracking(prop, domain) {
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  ga('create', prop, domain);
  ga('set', 'anonymizeIp', true);
  ga('send', 'pageview');
}
